commit: bac86b99a3c1e2186e96b4848c3b38462693c921
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 1 13:15:55 2020 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Thu Oct 1 21:55:54 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bac86b99
dev-python/collective-checkdocs: add PyPy3+Py3.{8,9}, tests, fix QA
Closes: https://bugs.gentoo.org/722294
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>
.../collective-checkdocs-0.2-r1.ebuild | 37 ++++++++++++++++++++++
1 file changed, 37 insertions(+)
diff --git a/dev-python/collective-checkdocs/collective-checkdocs-0.2-r1.ebuild
b/dev-python/collective-checkdocs/collective-checkdocs-0.2-r1.ebuild
new file mode 100644
index 00000000000..9631a340958
--- /dev/null
+++ b/dev-python/collective-checkdocs/collective-checkdocs-0.2-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6..9} )
+# TODO: revert to rdepend once this is merged:
+# https://github.com/collective/collective.checkdocs/pull/11
+DISTUTILS_USE_SETUPTOOLS=manual
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Distutils command to view/validate packages's rst text
long_descriptions."
+HOMEPAGE="https://github.com/collective/collective.checkdocs"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.zip"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="GPL-2" # until
https://github.com/collective/collective.checkdocs/issues/8 is fixed
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ app-arch/unzip
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${D}" -name '*.pth' -delete || die
+}